org.jacoco.core.internal.flow

## Class ClassProbesAdapter

- java.lang.Object
- - org.objectweb.asm.ClassVisitor
  - - org.jacoco.core.internal.flow.ClassProbesAdapter

All Implemented Interfaces:
  IProbeIdGenerator

    public class ClassProbesAdapter
    extends org.objectweb.asm.ClassVisitor
    implements IProbeIdGenerator

A `ClassVisitor` that calculates probes for every method.

### Field Summary

### Fields inherited from class org.objectweb.asm.ClassVisitor

`api`

### Constructor Summary

Constructors
Constructor and Description
`ClassProbesAdapter(ClassProbesVisitor cv, boolean trackFrames)` Creates a new adapter that delegates to the given visitor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `nextId()` Returns the next unique probe id.
`void` `visit(int version, int access, String name, String signature, String superName, String[] interfaces)`
`void` `visitEnd()`
`org.objectweb.asm.MethodVisitor` `visitMethod(int access, String name, String desc, String signature, String[] exceptions)`

### Methods inherited from class org.objectweb.asm.ClassVisitor

`visitAnnotation, visitAttribute, visitField, visitInnerClass, visitModule, visitOuterClass, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassProbesAdapter

    public ClassProbesAdapter(ClassProbesVisitor cv,
                              boolean trackFrames)

Creates a new adapter that delegates to the given visitor.

Parameters:
  `cv` - instance to delegate to
  `trackFrames` - if `true` stackmap frames are tracked and provided

### Method Detail

#### visit

    public void visit(int version,
                      int access,
                      String name,
                      String signature,
                      String superName,
                      String[] interfaces)

Overrides:
  `visit` in class `org.objectweb.asm.ClassVisitor`

#### visitMethod

    public final org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                             String name,
                                                             String desc,
                                                             String signature,
                                                             String[] exceptions)

Overrides:
  `visitMethod` in class `org.objectweb.asm.ClassVisitor`

#### visitEnd

    public void visitEnd()

Overrides:
  `visitEnd` in class `org.objectweb.asm.ClassVisitor`

#### nextId

    public int nextId()

Description copied from interface: `IProbeIdGenerator`
Returns the next unique probe id.

Specified by:
  `nextId` in interface `IProbeIdGenerator`
Returns:
  unique probe id